#
# spec file for package apache-commons-email
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global base_name       email
%global short_name      commons-%{base_name}
Name:           apache-%{short_name}
Version:        1.2
Release:        8.25
Summary:        Apache Commons Email Package
License:        Apache-2.0
Group:          Development/Libraries/Java
Url:            http://commons.apache.org/%{base_name}/
# Only latest avail, we need maven for that
#Source0:        http://www.apache.org/dist/commons/%{base_name}/source/%{short_name}-%{version}-src.tar.gz
Source0:        %{short_name}-%{version}-src.tar.gz
Source1:        build.xml.tar.bz2
BuildRequires:  ant
BuildRequires:  java-devel >= 1.6.0
BuildRequires:  javamail
BuildRequires:  jpackage-utils
Requires:       java >= 1.6.0
Requires:       javamail
Requires:       javapackages-tools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Commons-Email aims to provide an API for sending email. It is built on top of
the JavaMail API, which it aims to simplify.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{short_name}-%{version}-src
tar xpvf %{SOURCE1}

%build
ant -Dmaven.mode.offline=true -Dmaven.test.skip=true \
    -lib %{_javadir} javadoc package

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/%{short_name}-%{version}.jar   %{buildroot}%{_javadir}/%{name}.jar
ln -sf %{name}.jar %{buildroot}%{_javadir}/%{short_name}.jar

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt RELEASE-NOTES.txt NOTICE.txt
%{_javadir}/*

%files javadoc
%defattr(-,root,root,-)
%doc LICENSE.txt NOTICE.txt
%doc %{_javadocdir}/%{name}

%changelog
* Fri Jul 18 2014 tchvatal@suse.com
- Cleanup a bit with spec-cleaner
* Fri Jan  6 2012 dmacvicar@suse.de
- add BuildRoot so it builds on SLE
* Tue Dec 20 2011 dmacvicar@suse.de
- initial package based on Fedora. Removed maven stuff
